org.apache.tapestry5.internal

## Class OptionGroupModelImpl

- java.lang.Object
- - org.apache.tapestry5.internal.OptionGroupModelImpl

- All Implemented Interfaces:
    OptionGroupModel

      public final class OptionGroupModelImpl
      extends java.lang.Object
      implements OptionGroupModel

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OptionGroupModelImpl(java.lang.String label, boolean disabled, java.util.List<OptionModel> options, java.util.Map<java.lang.String,java.lang.String> attributes)`
    `OptionGroupModelImpl(java.lang.String label, boolean disabled, java.util.List<OptionModel> options, java.lang.String... attributeKeysAndValues)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.String>` | `getAttributes()` Additional attributes to render with the <optgroup>.
    `java.lang.String` | `getLabel()` Localized, user-presentable label for the group.
    `java.util.List<OptionModel>` | `getOptions()` The list of options within the group.
    `boolean` | `isDisabled()` If true, the group (and all options within it) will be disabled.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OptionGroupModelImpl

          public OptionGroupModelImpl(java.lang.String label,
                                      boolean disabled,
                                      java.util.List<OptionModel> options,
                                      java.lang.String... attributeKeysAndValues)

    - #### OptionGroupModelImpl

          public OptionGroupModelImpl(java.lang.String label,
                                      boolean disabled,
                                      java.util.List<OptionModel> options,
                                      java.util.Map<java.lang.String,java.lang.String> attributes)

  - ### Method Detail

    - #### getAttributes

          public java.util.Map<java.lang.String,java.lang.String> getAttributes()

      Description copied from interface: `OptionGroupModel`
      Additional attributes to render with the <optgroup>. This is often used to render the CSS class attribute. May return null.
      Specified by:
        `getAttributes` in interface `OptionGroupModel`

    - #### getLabel

          public java.lang.String getLabel()

      Description copied from interface: `OptionGroupModel`
      Localized, user-presentable label for the group.
      Specified by:
        `getLabel` in interface `OptionGroupModel`

    - #### getOptions

          public java.util.List<OptionModel> getOptions()

      Description copied from interface: `OptionGroupModel`
      The list of options within the group.
      Specified by:
        `getOptions` in interface `OptionGroupModel`

    - #### isDisabled

          public boolean isDisabled()

      Description copied from interface: `OptionGroupModel`
      If true, the group (and all options within it) will be disabled. Note that some browsers do not honor the disabled attribute property.
      Specified by:
        `isDisabled` in interface `OptionGroupModel`
      Returns:
        true if a disabled attribute should be rendered.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.